Module ij
Package ij.plugin

# Class SubHyperstackMaker

java.lang.Object
ij.plugin.SubHyperstackMaker

All Implemented Interfaces:
  `PlugIn`

public class SubHyperstackMaker extends Object implements PlugIn
This plugin is used by the Image/Stacks/Tools/Make Substack command to create substacks of hyperstacks.

Author:
  Curtis Rueden

## Constructor Summary

Constructors
Constructor
Description
`SubHyperstackMaker()`

## Method Summary

Modifier and Type
Method
Description
`static ImagePlus`
`makeSubhyperstack(ImagePlus input, String cString, String zString, String tString)`
`static ImagePlus`
`makeSubhyperstack(ImagePlus input, List<Integer> cList, List<Integer> zList, List<Integer> tList)`
`void`
`run(String arg)`
This method is called when the plugin is loaded.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SubHyperstackMaker

public SubHyperstackMaker()

## Method Details

### run

public void run(String arg)
Description copied from interface: `PlugIn`
This method is called when the plugin is loaded. 'arg', which may be blank, is the argument specified for this plugin in IJ_Props.txt.

Specified by:
  `run` in interface `PlugIn`

### makeSubhyperstack

public static ImagePlus makeSubhyperstack(ImagePlus input, String cString, String zString, String tString)

### makeSubhyperstack

public static ImagePlus makeSubhyperstack(ImagePlus input, List<Integer> cList, List<Integer> zList, List<Integer> tList)